Concesiones por lotes
curl --request POST \
--url https://api.example.com/v1/data-apps/batch/grants \
--header 'Content-Type: application/json' \
--data '
{
"app_names": [
"<string>"
],
"usernames": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/data-apps/batch/grants"
payload = {
"app_names": ["<string>"],
"usernames": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app_names: ['<string>'], usernames: ['<string>']})
};
fetch('https://api.example.com/v1/data-apps/batch/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"granted": 123,
"requested": 123,
"apps": [
{
"app_name": "<string>",
"ok": true,
"code": "<string>"
}
],
"users": [
{
"username": "<string>",
"ok": true,
"code": "<string>"
}
]
}Publishing
Concesiones por lotes
Comparte varias apps con varios usuarios en una llamada. Semántica de matriz, idempotente.
POST
/
v1
/
data-apps
/
batch
/
grants
Concesiones por lotes
POST https://api-datahub.octoparse.com/v1/data-apps/batch/grants
Autenticación: se requiere API key (Authorization: Bearer <API Key>).
Abra varias apps suyas a varios usuarios en una llamada (semántica de matriz, idempotente). Saltar filas inválidas no aborta el lote; cada resultado por par se devuelve por separado.
Solicitud
Cuerpo de la solicitud
string[]
requerido
—
string[]
requerido
Lista de nombres de usuario.
Ejemplo de solicitud
curl -X POST \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"apps": ["carol/reviews-query", "carol/product-detail"], "usernames": ["dave", "erin"]}' \
"https://api-datahub.octoparse.com/v1/data-apps/batch/grants"
Respuesta
200 correcto
{
"data": {
"granted": 3,
"skipped": 1,
"apps": [
{
"app": "carol/reviews-query",
"ok": true
},
{
"app": "carol/product-detail",
"ok": true
}
],
"users": [
{
"username": "dave",
"ok": true
},
{
"username": "erin",
"ok": true
}
]
}
}
data. Campos:
integer
requerido
Número de pares de concesión recién creados.
integer
requerido
—
object[]
requerido
object[]
requerido
Errores
| HTTP | code | category | Descripción |
|---|---|---|---|
| 401 | unauthorized | forbidden | API key ausente o no válida. |
{"error": {code, category, message, retryable}}. Véase Errores.